package com.ruoyi.web.controller.pc;

import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.AppVersionsInfo;
import com.ruoyi.system.service.IAppVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 版本管理
 *
 * @author gongzhenkun
 * @date 2022/10/8 14:27
 */
@RestController
@RequestMapping("/version")
public class AppVersionController {
    @Autowired
    private IAppVersionService appVersionService;

    @GetMapping("/queryAll")
    public AjaxResult queryAllVersions() {
        AppVersionsInfo allVersions = appVersionService.selectAllVersions(RuoYiConfig.getAppVersionPath());
        return AjaxResult.success(allVersions);
    }
}
